# Mixture CMake config file
#
# This file sets the following variables:
# Mixture_FOUND - Always TRUE.
# Mixture_INCLUDE_DIRS - Directories containing the Mixture include files.
# Mixture_IDL_DIRS - Directories containing the Mixture IDL files.
# Mixture_LIBRARIES - Libraries needed to use Mixture.
# Mixture_DEFINITIONS - Compiler flags for Mixture.
# Mixture_VERSION - The version of Mixture found.
# Mixture_VERSION_MAJOR - The major version of Mixture found.
# Mixture_VERSION_MINOR - The minor version of Mixture found.
# Mixture_VERSION_REVISION - The revision version of Mixture found.
# Mixture_VERSION_CANDIDATE - The candidate version of Mixture found.

message(STATUS "Found Mixture-1.0.0")
set(Mixture_FOUND TRUE)

find_package(<dependency> REQUIRED)

#set(Mixture_INCLUDE_DIRS
#    "C:/Program Files/Mixture/include/mixture-1"
#    ${<dependency>_INCLUDE_DIRS}
#    )
#
#set(Mixture_IDL_DIRS
#    "C:/Program Files/Mixture/include/mixture-1/idl")
set(Mixture_INCLUDE_DIRS
    "C:/Program Files/Mixture/include/"
    ${<dependency>_INCLUDE_DIRS}
    )
set(Mixture_IDL_DIRS
    "C:/Program Files/Mixture/include//idl")


if(WIN32)
    set(Mixture_LIBRARIES
        "C:/Program Files/Mixture/components/lib/mixture.lib"
        ${<dependency>_LIBRARIES}
        )
else(WIN32)
    set(Mixture_LIBRARIES
        "C:/Program Files/Mixture/components/lib/mixture.dll"
        ${<dependency>_LIBRARIES}
        )
endif(WIN32)

set(Mixture_DEFINITIONS ${<dependency>_DEFINITIONS})

set(Mixture_VERSION 1.0.0)
set(Mixture_VERSION_MAJOR 1)
set(Mixture_VERSION_MINOR 0)
set(Mixture_VERSION_REVISION 0)
set(Mixture_VERSION_CANDIDATE )

